# Technique File Reference

`#include <osgFX/Export>`
`#include <osg/Referenced>`
`#include <osg/State>`
`#include <osg/Group>`
`#include <osg/NodeVisitor>`
`#include <vector>`
`#include <string>`

Include dependency graph for Technique:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgFX

## Defines

#define | META_Technique(name, description)
| An helper macro that defines the methods techniqueName() and techniqueDescription() making them return the strings passed as parameters.

## Define Documentation

#define META_Technique | ( | name,
|  | description |  | ) |

Value:

    inline virtual const char *techniqueName() { return name; } \
        inline virtual const char *techniqueDescription() { return description; }

An helper macro that defines the methods techniqueName() and techniqueDescription() making them return the strings passed as parameters.